: Get a random dad joke

API: icanhazdadjoke.com:icanhazdadjoke
Endpoint: /
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 257ms

Description

Returns a random dad joke. Use Accept header to specify response format (application/json, text/plain, or text/html).

Parameters (1)

Accept (string, header, optional, default: application/json)

Response format: application/json, text/plain, or text/html (default)

Constraints: {'enum': ['application/json', 'text/plain', 'text/html']}

Examples (1)

Get a random dad joke probe-gate
curl 'https://icanhazdadjoke.com/'
import requests

resp = requests.get("https://icanhazdadjoke.com/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("icanhazdadjoke")
result = api.fetch("")

for item in result:
    print(item)
const resp = await fetch("https://icanhazdadjoke.com/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:10:38.232199 200 257ms
2026-04-15 02:23:57.471042 200 257ms
2026-04-14 02:15:40.536825 200 420ms
2026-04-12 14:57:54.137107 200 227ms
2026-04-10 02:42:34.563840 200 559ms
2026-04-09 03:27:25.665837 200 225ms
2026-03-27T12:45:37.981082 200 258ms